Bug 1397141 - Modular Compose
Summary: Modular Compose
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking   
(Show other bugs)
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralph Bean
QA Contact:
URL:
Whiteboard: ChangeAcceptedF26, SelfContainedChange
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-21 17:32 UTC by Jan Kurik
Modified: 2017-07-25 17:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-25 17:04:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Kurik 2016-11-21 17:32:28 UTC
This is a tracking bug for Change: Modular Compose
For more details, see: https://fedoraproject.org//wiki/Changes/ModularCompose

For Fedora 26, we would like to modify the compose tools (pungi) to produce an additional experimental variant, derived from modules built in the  Module Build Service.

Comment 1 Jan Kurik 2017-02-28 10:08:36 UTC
On 2017-Feb-28, we have reached the Fedora 26 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Mar-03 meeting.

Comment 2 Fedora End Of Life 2017-02-28 10:38:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Jan Kurik 2017-03-01 09:45:38 UTC
May I ask for status update on this Change, as requested in Comment #1 ?

Comment 4 Ralph Bean 2017-03-01 18:55:48 UTC
Yes - Jan Kaluza is in progress with this work and at the moment we feel good about having this ready for Alpha.

Comment 5 Jan Kaluža 2017-03-02 14:49:15 UTC
The current status is following:

- For alpha we have a script based on nightly.py from pungi-fedora which is able to create compose from the single module. According to Lubomir Sedlar, we should be able to run this script for F26 alpha to generate the modular compose.

- For alpha, we are currently waiting for base-runtime team to produce first base-runtime module we could use for our scripts as a source for a first modular compose. Right now, we are testing with "bootstrap" module, but this is not real module or something we want to ship for F26 alpha.

- The base-runtime team on the other hand is probably blocked on MBS which is being deployed to production and might not be 100% working all the time before things settle down.

- For beta, We are also working with pungi developers on a changes to support multiple modules in single compose. There is already PR for pungi I'm working on: https://pagure.io/pungi/pull-request/548. According to Lubomir Sedlar from pungi team, we should be able to get it merged and used for F26 beta.

Comment 6 Jan Kaluža 2017-03-06 15:47:34 UTC
So the current status for F26 alpha is following:

- We have pull-requests opened against fedora-comps and pungi-fedora which implement initial version of modular compose:

   - https://pagure.io/pungi-fedora/pull-request/158
   - https://pagure.io/fedora-comps/pull-request/85

Unfortunately these pull-requests are still WIP, because we are not able to test them properly because of following reasons:

- base-runtime module, which should be used as source data for the first compose, does not exist in Koji so far. We are using module-bootstrap-master-1 Koji tag as a source of RPMs for our test composes and gets only RPMs defined in base-runtime modulemd yaml file. This should simulate the real base-runtime Koji tag quite well, but it is not the real base-runtime, so some problems may appear when we try that on real base-runtime in the future.

- We are not able to generate ISO on composer.stg.fedoraproject.org because of https://pagure.io/fedora-infrastructure/issue/5837 and since I do not have root on that machine, I cannot try generating it locally there without Koji either. Therefore I can only verify that our scripts generate proper RPM repositories, but I cannot check the ISOs...

Comment 7 Ralph Bean 2017-03-22 19:30:28 UTC
Some discussion over here:  https://pagure.io/fesco/issue/1688#comment-432448

Comment 8 Jan Kurik 2017-05-17 09:13:28 UTC
On 2017-May-16 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 26 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan


Note You need to log in before you can comment on or make changes to this bug.